<div class="login-form-wrapper">
    <div class="login-form">

        <div class="row">
            <div class="col-md-8">
                <h2>FORMULARIO DE REGISTRO CIUDADANO</h2>
            </div>
            <div class="col-md-4 mt-2">
                Ya tengo una cuenta? <a class="link"
                routerLink="/auth/login">Iniciar Sesión</a>
            </div>
        </div>      

        <mat-stepper [linear]="true" #stepper>
            <mat-step [stepControl]="form1">
                <form [formGroup]="form1" autocomplete="off">
                    <ng-template matStepLabel>
                        Datos
                    </ng-template>

                    <div class="row">
                        <div class="col-md-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Documento de Identidad : </mat-label>
                                <input matInput type="text" placeholder="documento identidad" 
                                  formControlName="documento_identidad">

                                <mat-error *ngIf="form1.controls['documento_identidad'].hasError('required')" class="form-control-feedback">
                                    Número documento es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Complemento : </mat-label>
                                <input matInput type="text" placeholder="Complemento" formControlName="complemento">

                            </mat-form-field>
                        </div>
                        <div class="col-md-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Expedición : </mat-label>
                                <mat-select formControlName="expedicion">
                                    <mat-option value="">-- Seleccione --</mat-option>
                                    <mat-option value="BENI">BENI</mat-option>
                                    <mat-option value="CHUQUISACA">CHUQUISACA</mat-option>
                                    <mat-option value="COCHABAMBA">COCHABAMBA</mat-option>
                                    <mat-option value="EXTRANJERO">EXTRANJERO</mat-option>
                                    <mat-option value="LA PAZ">LA PAZ</mat-option>
                                    <mat-option value="ORURO">ORURO</mat-option>
                                    <mat-option value="PANDO">PANDO</mat-option>
                                    <mat-option value="POTOSI">POTOSÍ</mat-option>
                                    <mat-option value="SANTA CRUZ">SANTA CRUZ</mat-option>
                                    <mat-option value="TARIJA">TARIJA</mat-option>
                                </mat-select>

                                <mat-error *ngIf="form1.controls['expedicion'].hasError('required')" class="form-control-feedback">
                                    Expedición es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-3">
                            <mat-form-field appearance="fill">
                                <mat-label>Expiración Documento</mat-label>
                                <input matInput type="date" placeholder="Expiracion Documento" formControlName="expiracion_documento">

                                <mat-error *ngIf="form1.controls['expiracion_documento'].hasError('required')" class="form-control-feedback">
                                    Expiración Documento es requerida
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Nombre : </mat-label>
                                <input matInput type="text" placeholder="Nombre" oninput="this.value = this.value.toUpperCase()" formControlName="nombre">

                                <mat-error *ngIf="form1.controls['nombre'].hasError('required')" class="form-control-feedback">
                                    Nombre es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Apellido Paterno : </mat-label>
                                <input matInput type="text" placeholder="Apellido Paterno" oninput="this.value = this.value.toUpperCase()" formControlName="apellido_paterno">

                                <mat-error *ngIf="form1.controls['apellido_paterno'].hasError('required')" class="form-control-feedback">
                                    Apellido Paterno es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Apellido Materno : </mat-label>
                                <input matInput type="text" placeholder="Apellido Materno" oninput="this.value = this.value.toUpperCase()" formControlName="apellido_materno">

                                <mat-error *ngIf="form1.controls['apellido_materno'].hasError('required')" class="form-control-feedback">
                                    Apellido Materno es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <mat-form-field appearance="fill">
                                <mat-label>Fecha de Nacimiento</mat-label>
                                <input matInput type="date" 
                                  placeholder="Fecha de Nacimiento" 
                                  formControlName="fecha_nacimiento">

                                <mat-error *ngIf="form1.controls['fecha_nacimiento'].hasError('required')" class="form-control-feedback">
                                    Fecha de Nacimiento es requerida
                                </mat-error>
                            </mat-form-field>                            
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Género : </mat-label>
                                <mat-select formControlName="genero">
                                    <mat-option value="">-- Seleccione --</mat-option>
                                    <mat-option value="Femenino">Femenino</mat-option>
                                    <mat-option value="Masculino">Masculino</mat-option>
                                </mat-select>

                                <mat-error *ngIf="form1.controls['genero'].hasError('required')" class="form-control-feedback">
                                    Género es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Estado Civil : </mat-label>
                                <mat-select formControlName="estado_civil">
                                    <mat-option value="">-- Seleccione --</mat-option>
                                    <mat-option value="Soltero(a)">Soltero(a)</mat-option>
                                    <mat-option value="Casado(a)">Casado(a)</mat-option>
                                    <mat-option value="Divorciado(a)">Divorciado(a)</mat-option>
                                    <mat-option value="Viudo(a)">Viudo(a)</mat-option>
                                </mat-select>

                                <mat-error *ngIf="form1.controls['estado_civil'].hasError('required')" class="form-control-feedback">
                                    Estado Civil es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Teléfono Fijo : </mat-label>
                                <input matInput type="text" placeholder="Teléfono Fijo" formControlName="telefono_fijo">

                            </mat-form-field>
                        </div>
                        <div class="col-md-3">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Celular : </mat-label>
                                <input matInput type="text" placeholder="Celular" formControlName="telefono_movil">

                            </mat-form-field>
                        </div>
                        <div class="col-md-6">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Correo Electrónico : </mat-label>
                                <input matInput type="text" placeholder="Correo Electrónico" oninput="this.value = this.value.toLowerCase()" formControlName="correo_electronico">

                                <mat-error *ngIf="form1.controls['estado_civil'].hasError('required')" class="form-control-feedback">
                                    Correo Electrónico es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Contraseña</mat-label>
                                <input matInput type="password" placeholder="Password" formControlName="password">

                                <mat-error *ngIf="form1.controls['password'].hasError('required')" class="form-control-feedback">
                                    Contraseña es requerida
                                </mat-error>

                                <mat-error *ngIf="form1.controls['password'].hasError('at-least-one-digit')">
                                    Contraseña debe contener por lo menos un <strong> digit</strong>
                                </mat-error>

                                <mat-error *ngIf="form1.controls['password'].hasError('at-least-one-lowercase')">
                                    Contraseña debe contener por lo menos una <strong> letra minúscula</strong>
                                </mat-error>

                                <mat-error *ngIf="form1.controls['password'].hasError('at-least-one-uppercase')">
                                    Contraseña debe contener por lo menos una <strong> letra mayúscula</strong>
                                </mat-error>

                                <mat-error *ngIf="form1.controls['password'].hasError('at-least-one-special-character')">
                                    Contraseña debe contener por lo menos <strong>[!@#$%^&*</strong>
                                </mat-error>

                                <mat-error *ngIf="form1.controls['password'].hasError('at-least-eight-characters')">
                                    Contraseña debe contener por lo menos 8 <strong> caracteres</strong>
                                </mat-error>

                            </mat-form-field>
                        </div>
                        <div class="col-md-6">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Confirme Contraseña</mat-label>

                                <input matInput type="password" placeholder="Password (Confirm)" formControlName="passwordConfirmation" [errorStateMatcher]="matcher">

                                <mat-error *ngIf="form1.controls['passwordConfirmation'].hasError('required') || form1.hasError('notSame')" class="form-control-feedback">
                                    Contraseñas deben coincidir
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>NIT : </mat-label>
                                <input matInput type="text" placeholder="NIT" formControlName="nit">

                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">

                        </div>
                        <div class="col-md-6">
                            <button mat-button color="info" [disabled]="!form1.valid" (click)="comprobar()" class="btn btn-outline-secondary btn-block" style="margin-left: auto">Siguiente </button>
                        </div>
                    </div>
                </form>
            </mat-step>

            <mat-step [stepControl]="form2">
                <form [formGroup]="form2" autocomplete="off">
                    <ng-template matStepLabel>Ubicación</ng-template>
                    <div class="row">
                        <h2>Datos del Domicilio del Ciudadano</h2>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Lugar de Residencia : </mat-label>
                                <mat-select formControlName="residencia">
                                    <mat-option value="">-- Seleccione --</mat-option>
                                    <mat-option value="MUNICIPIO DE SC.">Municipio de Santa Cruz</mat-option>
                                    <mat-option value="OTRO MUNICIPIO">Otro Municipio</mat-option>
                                </mat-select>

                                <mat-error *ngIf="form2.controls['residencia'].hasError('required')" class="form-control-feedback">
                                    Lugar de Residencia es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Tipo de Lugar : </mat-label>
                                <mat-select formControlName="tipo_lugar">
                                    <mat-option value="">-- Seleccione --</mat-option>
                                    <mat-option value="AVENIDA">AVENIDA</mat-option>
                                    <mat-option value="CALLE">CALLE</mat-option>
                                    <mat-option value="PASAJE">PASAJE</mat-option>
                                    <mat-option value="PLAZA">PLAZA</mat-option>
                                    <mat-option value="URBANIZACIÓN">URBANIZACIÓN</mat-option>
                                    <mat-option value="NO DEFINIDO">NO DEFINIDO</mat-option>
                                </mat-select>

                                <mat-error *ngIf="form2.controls['tipo_lugar'].hasError('required')" class="form-control-feedback">
                                    Tipo de Lugar es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="row">                       
                        <div class="col-md-8">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Nombre del Lugar : </mat-label>
                                <input matInput type="text" placeholder="Nombre del Lugar" formControlName="nombre_lugar">

                                <mat-error *ngIf="form2.controls['nombre_lugar'].hasError('required')" class="form-control-feedback">
                                    Nombre del Lugar es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-md-4">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Número de casa : </mat-label>
                                <input matInput type="text" placeholder="Número de casa o (S/N) sin número" formControlName="numero_casa">

                                <mat-error *ngIf="form2.controls['numero_casa'].hasError('required')" class="form-control-feedback">
                                    Número de casa es requerido
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    
                    <div class="row">
                        <div class="col-md-12">
                            <mat-form-field class="w-100" appearance="fill">
                                <mat-label>Dirección Descriptiva : </mat-label>
                                <input matInput type="text" placeholder="Referencia adicional del domicilio" formControlName="direccion_descriptiva">

                                <mat-error *ngIf="form2.controls['direccion_descriptiva'].hasError('required')" class="form-control-feedback">
                                    Dirección descriptiva es obligatoria
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            Por favor seleccione la ubicación actual de su domicilio en el mapa
                        </div>
                        <div id="map" name="map" style="height: 80vh; width: 80vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>

                        <!--<div id="map_export" name="map_export" style="height: 200px; width:200px;" leaflet (leafletMapReady)="onMapReady1($event)" [leafletOptions]="options1"></div>-->



                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <button mat-button color="info" matStepperPrevious class="btn btn-outline-secondary btn-block" style="margin-left: auto">Anterior</button>
                        </div>
                        <div class="col-md-6">
                            <button mat-button color="info" [disabled]="!form2.valid" (click)="irSiguiente($event)" class="btn btn-outline-secondary btn-block" style="margin-left: auto">Siguiente </button>
                        </div>
                    </div>
                </form>
            </mat-step>
            <mat-step [stepControl]="form3">
                <form [formGroup]="form3" autocomplete="off">
                    <ng-template matStepLabel>Fotografías</ng-template>
                    <h2>Fotografías del ciudadano</h2>
                    <div class="row">
                        <div class="col-md-4">
                            <b>Fotografía</b>
                            <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect($event)">
                                <ngx-dropzone-label>
                                    <div>
                                        <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                                    </div>
                                </ngx-dropzone-label>
                                <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">

                                </ngx-dropzone-image-preview>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <b>Doc. Identidad (Anverso)</b>
                            <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect2($event)">
                                <ngx-dropzone-label>
                                    <div>
                                        <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                                    </div>
                                </ngx-dropzone-label>
                                <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files2" [file]="f" [removable]="true" (removed)="onRemove2(f)">

                                </ngx-dropzone-image-preview>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <b>Doc. Identidad (Reverso)</b>
                            <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect3($event)">
                                <ngx-dropzone-label>
                                    <div>
                                        <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                                    </div>
                                </ngx-dropzone-label>
                                <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files3" [file]="f" [removable]="true" (removed)="onRemove3(f)">

                                </ngx-dropzone-image-preview>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <button mat-button color="info" matStepperPrevious class="btn btn-outline-secondary btn-block" style="margin-left: auto">Anterior</button>
                        </div>
                        <div class="col-md-6">
                            <!--<button mat-button color="info" [disabled]="!tieneFotos()" matStepperNext class="btn btn-outline-secondary btn-block" style="margin-left: auto">Siguiente </button> -->
                            <button mat-button color="info" matStepperNext class="btn btn-outline-secondary btn-block" style="margin-left: auto">Siguiente </button>
                        </div>
                    </div>
                </form>
            </mat-step>
            <mat-step [stepControl]="form4">
                <form [formGroup]="form4" autocomplete="off">
                    <ng-template matStepLabel>Información</ng-template>
                    <h2>Verificar Datos Registrados y Términos de Uso de la Plataforma</h2>
                    <div class="row">
                        <div class="col-md-4">
                            <b>Documento de Identidad : </b><br> {{form1.controls['documento_identidad'].value}}
                        </div>
                        <div class="col-md-4">
                            <b>Expedición : </b><br> {{form1.controls['expedicion'].value}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <b>Nombres : </b><br> {{form1.controls['nombre'].value}}
                        </div>
                        <div class="col-md-6">
                            <b>Apellido Paterno : </b><br> {{form1.controls['apellido_paterno'].value}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <b>Apellido Materno : </b><br> {{form1.controls['apellido_materno'].value}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <b>Fecha de Nacimiento : </b><br> {{form1.controls['fecha_nacimiento'].value}}
                        </div>
                        <div class="col-md-4">
                            <b>Género : </b><br> {{form1.controls['genero'].value}}
                        </div>
                        <div class="col-md-4">
                            <b>Estado Civil : </b><br> {{form1.controls['estado_civil'].value}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <b>Celular : </b><br> {{form1.controls['telefono_movil'].value}}
                        </div>
                        <div class="col-md-6">
                            <b>Correo Electrónico : </b><br> {{form1.controls['correo_electronico'].value}}
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <b>Tipo Lugar : </b><br> {{form2.controls['tipo_lugar'].value}}
                        </div>
                        <div class="col-md-6">
                            <b>Dirección : </b><br> {{form2.controls['nombre_lugar'].value}}, Número de casa: {{form2.controls['numero_casa'].value}}
                        </div>
                    </div>
                    <!--<div id="map1" name="map1" style="height: 100vh" leaflet (leafletMapReady)="onMapReady1($event)" [leafletOptions]="options1"></div>-->
                    <img class="mx-auto d-block mb-4" src="{{mapaP}}" width="300" height="300">
                    <div class="row">
                        <div class="col-md-4">
                            <img src="{{foto}}" alt="" class="oversize" >
                        </div>
                        <div class="col-md-4">
                            <img src="{{ci_anverso}}" alt="" class="oversize" >
                        </div>
                        <div class="col-md-4">
                            <img src="{{ci_reverso}}" alt="" class="oversize" >
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <button mat-button color="info" matStepperPrevious class="btn btn-outline-secondary btn-block" style="margin-left: auto">Anterior</button>
                        </div>
                        <div class="col-md-6">
                            <button type="submit" [disabled]="!form1.valid && !form2.valid && !tieneFotos()" mat-button color="primary" class="btn btn-outline-secondary btn-block" (click)="registerUser()" style="margin-left: auto">Registrar Todo</button>
                        </div>
                    </div>
                </form>
            </mat-step>
        </mat-stepper>

      
    </div>
</div>